Bug 64261 - [JNLP] webstarted application should be only running on Platform
[JNLP] webstarted application should be only running on Platform
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Jaroslav Tulach
issues@apisupport
:
: 64248 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 15:51 UTC by pzajac
Modified: 2005-09-23 09:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2005-09-13 15:51:09 UTC
Probably also issue on UI. User must be informed that in module list is selected
more clusters. The webstart work only on Platfrom. At least this failure should
be implemented in build script. 

To show Error message box during "Run JNLP App" and "Debug JNLP App" will be nice.
Comment 1 Jesse Glick 2005-09-13 23:22:31 UTC
Could you be more explicit? I don't fully understand the request. What you did,
what you expected, what you saw.
Comment 2 pzajac 2005-09-14 07:59:30 UTC
I was talking about it with Yarda. For example the netbeans distribution
contains debugger. The debugger cannot be enabled on JNLP run. A exception was
thrown tha debuggerXXX module cannot be disabled and ide freezed. Another
problem I found  with CLI. The IDE freezed when the CLI tried to connect localhost. 

   
Comment 3 pzajac 2005-09-14 14:42:11 UTC
BTW nobody know that a netbeans module is webstartable. Why not to add the
information into module manifest? 
webstartable: FALSE/TRUE

After that we can resolve what could be packed  into jnlp distribution. Is only
idea. May be wrong. 
Comment 4 Jesse Glick 2005-09-14 22:51:18 UTC
I'm not sure what the resolution was on this issue when planning JWS support. It
may or may not be feasible to detect automatically that a given module cannot be
safely run under JNLP (using our current technology). Yarda?

Re. debugger - we ought to be able to detect that the module JAR requests some
JDK-only package, and refuse to package it.

Re. CLI - not sure what is going on here. Seems to me that it should be harmless
to package the module, but the CLI functionality will certainly not work. Not
sure why it would cause a freeze. Perhaps the jnlp launcher JAR needs to set
some flag in boot.jar requesting that the whole CLI infrastructure simply be
disabled? It is not appropriate for JNLP mode, I think. (There is a somewhat
analogous facility in JNLP itself, but it is probably not compatible with our
own system.) May be desirable to continue to use $userdir/lock to prevent
clobbering of settings from >1 simultaneous instance, but refuse to accept any
command-line options.
Comment 5 Jaroslav Tulach 2005-09-15 17:05:55 UTC
"#64261: Turning on verification when generating private platform repository,  
as a result autoupdate, ant and other modules are going to be refused during  
build"  
  
  
Checking in nbbuild/antsrc/org/netbeans/nbbuild/MakeJNLP.java;  
/cvs/nbbuild/antsrc/org/netbeans/nbbuild/MakeJNLP.java,v  <--  MakeJNLP.java  
new revision: 1.6; previous revision: 1.5  
done  
Checking in nbbuild/test/unit/src/org/netbeans/nbbuild/MakeJNLPTest.java;  
/cvs/nbbuild/test/unit/src/org/netbeans/nbbuild/MakeJNLPTest.java,v  <--   
MakeJNLPTest.java  
new revision: 1.6; previous revision: 1.5  
done  
Checking in apisupport/harness/release/jnlp.xml;  
/cvs/apisupport/harness/release/jnlp.xml,v  <--  jnlp.xml  
new revision: 1.14; previous revision: 1.13  
  
Comment 6 Jaroslav Tulach 2005-09-15 17:08:00 UTC
I fixed the build scripts. Now the JNLP build fails if ant or autoupdate are 
used. 
 
I do not want to make any changes to UI, as it has been agreed that the 
ModuleList will not check any deps for 5.0 version.  
 
In the original scope of 5.0, this issue is fixed, imho. 
Comment 7 Jaroslav Tulach 2005-09-15 17:11:57 UTC
*** Issue 64248 has been marked as a duplicate of this issue. ***
Comment 8 pzajac 2005-09-16 12:54:29 UTC
yes this issue is fixed. There should be more user friendly message than:

/usr/local/pzajac/newdev/dev/netbeans/harness/suite.xml:151: The following error
occurred while executing this line:
/usr/local/pzajac/newdev/dev/netbeans/harness/jnlp.xml:91: Cannot build JNLP for
module
/usr/local/pzajac/newdev/dev/netbeans/nb5.0/modules/org-netbeans-modules-ide-branding.jar
as these files are in module's NBM, but are not referenced from any path:
[shortcuts.pdf, core/locale/core_nb.jar, THIRD-PARTY.html, nbos2icons.zip,
netbeans.icns, netbeans.png, core/locale/updater_nb.jar, REDISTRIBUTION.html,
modules/locale/org-netbeans-core-windows_nb.jar, LICENSE.html]
BUILD FAILED (total time: 2 seconds)
Comment 9 Geertjan Wielenga 2005-09-19 12:49:34 UTC
Yes, the error message should (a) tell you what and why is wrong and (b) tell
you what to do to fix it.
Comment 10 pzajac 2005-09-19 13:19:52 UTC
The jnlp build fails on windows. 

Ant's log:

Created dir: C:\Documents and
Settings\Administrator\feedreader-suite\build\jnlp\netbeans
E:\nb50\netbeans\harness\suite.xml:152: The following error occurred while
executing this line:
E:\nb50\netbeans\harness\jnlp.xml:91: Cannot build JNLP for module
E:\nb50\netbeans\platform6\core\core.jar as these files are in module's NBM, but
are not referenced from any path:
[core/core.jar]
BUILD FAILED (total time: 7 seconds)
Comment 11 pzajac 2005-09-19 14:59:45 UTC
P2 -> P1
There is no way how to build jnlp distribution on Windows.
Comment 12 Jaroslav Tulach 2005-09-19 15:24:23 UTC
Date: 2005/09/19 15:22:49  
Author: jtulach 
Log:  
#64261: converting \ to / on windows  
  
Members:  
        antsrc/org/netbeans/nbbuild/MakeJNLP.java:1.7->1.8  
  
Comment 13 Geertjan Wielenga 2005-09-20 06:13:11 UTC
Tried to build JNLP application for FeedReader application on Windows XP with
very latest continuous build (20050920-0117). Failed with this Ant log:

release:
netbeans:
Generating information for Auto Update...
jnlp-master:
jnlp:
E:\nb50\netbeans\harness\suite.xml:152: The following error occurred while
executing this line:
E:\nb50\netbeans\harness\jnlp.xml:175: The following error occurred while
executing this line:
E:\nb50\netbeans\harness\common.xml:230: Cannot build JNLP for module
C:\Documents and Settings\Administrator\a\build\cluster\modules\org-jdom.jar as
these files are in module's NBM, but are not referenced from any path:
[modules\org-jdom.jar, modules\ext\jdom.jar, config\Modules\org-jdom.xml]
BUILD FAILED (total time: 23 seconds)
Comment 14 Jaroslav Tulach 2005-09-20 06:59:02 UTC
Same bug as yesterday, JNLP just did not work on windows. Which we have not 
found out as we are not running unit tests on different machines daily... 
Comment 15 pzajac 2005-09-23 09:30:06 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo